echo off
getans Are you updating Ample Notice from a previous version?
if not errorlevel 1 goto version
echo See the file AN13TO20.DOC for update instructions.  Would you like 
getans to print this file (just a couple of pages) now?  
if not errorlevel 1 goto display
echo Turn on printer and
pause
printman an13to20.doc
goto update
:display
echo Update instructions will be displayed on the screen.  To view 
echo these instructions later, enter PAGE AN13TO20.DOC.  To obtain a 
echo printed version, enter PRINTMAN AN13TO20.DOC.
pause
PAGE AN13TO20.DOC
:update
getans Continue with installation? (Y,N)
if errorlevel 1 goto version
goto fin
:version
getans ~V
if errorlevel 1 goto 5
echo Sorry!  Automatic installation does not work on DOS 3.0.  Please type
echo PAGE INSTALL.DOC to see how to install Ample Notice yourself.
goto fin
:5
set h=y
if "%1"=="" goto noarg
set s=%1
goto 110
:noarg
rem No argument given; get it...
getans ~A On which disk will Ample Notice be installed? (A,B,...)  
if errorlevel 2 goto 20
set d=A:
goto 100
:20
if errorlevel 3 goto 30
set d=B:
goto 100
:30
if errorlevel 4 goto 40
set d=C:
goto 100
:40
if errorlevel 5 goto 50
set d=D:
goto 100
if errorlevel 6 goto 5
:50
set d=E:
:100
set s=%d%
rem is it a hard drive?
getans Is %d% a hard drive? (Y,N)
if errorlevel 1 goto 105
set h=n
goto 110
:105
set s=%d%\AN2
:110
echo Ample Notice will be installed in %s%.
getans OK? (Y,N)
if errorlevel 1 goto copy
echo Type ANSETUP again, followed by the drive and subdirectory you wish to 
echo use.  Example:  ANSETUP B: or ANSETUP C:\CAL
goto fin
:copy
rem copy files
if %h%==n goto 115
echo Ignore 'Unable to create directory' message...
md %s%
:115
echo off
echo Select printer type:
echo .
echo 1. Epson 9-pin or compatible
echo 2. Epson 24-pin or compatible
echo 3. HP LaserJet or compatible
echo 4. Okidata microline 192
echo 5. IBM Proprinter (9-pin)
echo 6. Other (If you choose this option, edit CONFIG.CAL later to describe your 
echo    printer.  Until you do this, only limited printing will be available.)
echo .
getans ~N Enter number:  
if errorlevel 2 goto 520
goto 500
:520
if errorlevel 3 goto 530
rem Epson 24-pin
echo #P3 27,83,0,27,51,15,15 >>%s%\config.cal
echo #P4 27,83,0,27,51,15,15 >>%s%\config.cal
goto 500
:530
if errorlevel 4 goto 540
rem LaserJet II and compatible:
echo #D1 80,80,6,2 >>%s%\config.cal
echo #P1 27,69,27,40,115,51,84,27,38,108,56,68,27,40,49,48,85,27,40,115,49,50,72 >>%s%\config.cal
echo #R1 27,69 >>%s%\config.cal
echo #X1 27,40,115,49,83 >>%s%\config.cal
echo #Y1 27,40,115,48,83 >>%s%\config.cal
echo #D2 120,80,6,3 >>%s%\config.cal
echo #R2 27,69 >>%s%\config.cal
echo #P2 27,69,27,40,115,48,116,49,54,46,54,54,72,27,40,49,48,85,27,38,108,56,68 >>%s%\config.cal
echo #X2 27,38,100,48,68 >>%s%\config.cal
echo #Y2 27,38,100,64 >>%s%\config.cal
echo #D3 120,96,6,3 >>%s%\config.cal
echo #R3 27,69 >>%s%\config.cal
echo #P3 27,69,27,40,115,48,116,49,54,46,54,54,72,27,40,49,48,85,27,38,108,53,67 >>%s%\config.cal
echo #X3 27,38,100,48,68 >>%s%\config.cal
echo #Y3 27,38,100,64 >>%s%\config.cal
echo #D4 91,65,6,2 >>%s%\config.cal
echo #R4 27,69 >>%s%\config.cal
echo #P4 27,69,27,40,115,48,116,49,54,46,54,54,72,27,40,49,48,85,27,38,108,53,67 >>%s%\config.cal
echo #X4 27,38,100,48,68 >>%s%\config.cal
echo #Y4 27,38,100,64 >>%s%\config.cal
goto 500
:540
if errorlevel 5 goto 550
rem okidata microline 192
echo #X1 27,33,47 >>%s%\config.cal
echo #Y1 27,33,42 >>%s%\config.cal
echo #P1 28,27,49,27,33,50 >>%s%\config.cal
echo #D1 82,60,7,2 >>%s%\config.cal
echo #R1 27,24 >>%s%\config.cal
echo #X2 27,33,47 >>%s%\config.cal
echo #Y2 27,33,42 >>%s%\config.cal
echo #P2 29,27,56,27,33,50 >>%s%\config.cal
echo #D2 120,88,8,3 >>%s%\config.cal
echo #R2 27,24 >>%s%\config.cal
echo #X3 27,33,47 >>%s%\config.cal
echo #Y3 27,33,42 >>%s%\config.cal
echo #P3 29,27,37,57,12,27,33,50 >>%s%\config.cal
echo #D3 120,115,8,3 >>%s%\config.cal
echo #R3 27,24 >>%s%\config.cal
echo #X4 27,33,47 >>%s%\config.cal
echo #Y4 27,33,42 >>%s%\config.cal
echo #P4 29,27,37,57,12,27,33,50 >>%s%\config.cal
echo #D4 92,78,8,2 >>%s%\config.cal
echo #R4 27,24 >>%s%\config.cal
goto 500
:550
if errorlevel 6 goto 560
rem IBM Proprinter
echo #X1 27,45,1 >>%s%\config.cal
echo #Y1 27,45,0 >>%s%\config.cal
echo #X2 27,45,1 >>%s%\config.cal
echo #Y2 27,45,0 >>%s%\config.cal
echo #X3 27,45,1 >>%s%\config.cal
echo #Y3 27,45,0 >>%s%\config.cal
echo #X4 27,45,1 >>%s%\config.cal
echo #Y4 27,45,0 >>%s%\config.cal
goto 500
:560
if errorlevel 7 goto 115
rem generic
echo !I >>%s%\config.cal
echo #D1 66,60,4,2 >>%s%\config.cal
echo #P1 >>%s%\config.cal
echo #R1 12 >>%s%\config.cal
echo #X1 >>%s%\config.cal
echo #Y1 >>%s%\config.cal
echo #D2 66,60,4,2 >>%s%\config.cal
echo #P2 >>%s%\config.cal
echo #R2 12 >>%s%\config.cal
echo #X2 >>%s%\config.cal
echo #Y2 >>%s%\config.cal
echo #D3 66,60,4,2 >>%s%\config.cal
echo #P3 >>%s%\config.cal
echo #R3 12 >>%s%\config.cal
echo #X3 >>%s%\config.cal
echo #Y3 >>%s%\config.cal
echo #D4 66,60,4,2 >>%s%\config.cal
echo #P4 >>%s%\config.cal
echo #R4 12 >>%s%\config.cal
echo #X4 >>%s%\config.cal
echo #Y4 >>%s%\config.cal
:500
echo $C %s%\notes >>%s%\config.cal
echo $A %s%\archive.cal >>%s%\config.cal
copy an.exe %s%
copy alarm.com %s%
copy anhelp %s%
if exist %s%\notes goto 6
copy notes %s%
goto 125
:6
echo The file %s%\NOTES already exists and will not be overwritten.  You may
echo need to change your NOTES file; see READ.ME for details.
pause
:125
rem copy other pertinent files
copy aninst.exe %s%
echo .
echo We recommend that you put %s% in your DOS path and that ALARM be
echo added to your AUTOEXEC.BAT file.  Would you like us to do this for you?
getans (Y,N) 
if not errorlevel 1 goto 10
aninst -A %s%
:10 
echo Ample Notice installation complete.
:fin  
